#include "interfaz.h"
#include <QFile>
#include <QTextStream>

Interfaz::Interfaz()
{

}

int Interfaz::getHeight()
{
    return height;
}

void Interfaz::setHeigth(int height)
{
    this->height = height;
}

int Interfaz::getWidth()
{
    return width;
}

void Interfaz::setWidth(int width)
{
    this->width = width;
}

int Interfaz::getNumberOfElements()const
{
    return numberOfElements;
}

void Interfaz::setNumberOfElements(int value)
{
    numberOfElements = value;
}

int Interfaz::getNumberOfRows()const
{
    return numberOfRows;
}

void Interfaz::setNumberOfRows(int value)
{
    numberOfRows = value;
}

int Interfaz::getNumberOfCols()const
{
    return numberOfCols;
}

void Interfaz::setNumberOfCols(int value)
{
    numberOfCols = value;
}

QString Interfaz::getImageBackground()const
{
    return imageBackground;
}

void Interfaz::setImageBackground(QString value)
{
    imageBackground = value;
}

QColor Interfaz::getColorBackground()
{
    return colorBackground;
}

void Interfaz::setColorBackground( const QColor &value)
{
    colorBackground = value;
}

bool Interfaz::getHasIcons() const
{
    return hasIcons;
}

void Interfaz::setHasIcons(bool value)
{    
    hasIcons = value;
}

bool Interfaz::getHasImageBackground()const
{
    return hasImageBackground;
}

void Interfaz::setHasImageBackground(bool value)
{
    hasImageBackground = value;
}

